Package Details: qsiapi 7.2.0-1

Git Clone URL: https://aur.archlinux.org/qsiapi.git (read-only)
Package Base: qsiapi
Description: C++ API for QSI camera control and image capture via the USB interface
Upstream URL: http://www.qsimaging.com/software-beta.html#api
Licenses: custom
Submitter: vinvin
Maintainer: vinvin
Last Packager: vinvin
Votes: 1
Popularity: 0.002599
First Submitted: 2012-07-10 14:53
Last Updated: 2016-10-22 15:55

Dependencies (2)

Required by (1)

  • goqat (requires qsiapi) (optional)

Sources (2)

Latest Comments

vinvin commented on 2016-10-22 15:56

The simplest way I found was modifying the configure.ac but it's a bit lame because it depends now on the name of the include directory and library in Arch Linux. Anyway, it will work for some time. Thanks for the report.

ellypsis commented on 2016-10-22 00:53

Can't compile the package :
HostIO_USB.h:15:19: fatal error: ftdi.h: No such file or directory

I just check the version on QSI software web page, it's the same.
I'm not very familiar with compilation. Is there a way to fix it?

vinvin commented on 2012-09-13 15:45

QSI has fixed the gcc-4.7 compatibility issue in versions 6.4. Upstream changelog:

6.4.0.0 Add -fpermissive to compile with GCC 4.7.0
6.4.1.0 Correct mutex code. Add external trigger input handling.

vinvin commented on 2012-07-10 15:01

To compile the stable version, change pkgver from 6.3.0 to 6.0.3.
It's also possible to compile the API against libftd2xx instead of libftdi; that requires changing the configure argument and the depends field.
Unfortunately, for now, it requires to be compiled with gcc-4.6, it fails with 4.7.